- hosts: NCIENDEVAPP02
  tasks:
  - name: find the Rprofile.site files from installed R versions
    raw: find /opt/microsoft/mlserver/9.2.1/runtime/R/etc -name "Rprofile.site"
    #raw: find /usr/lib64 /opt/microsoft  -name "Rprofile.site"
    register: Rprofile_files
  - name: Updating NRAN repo for all the R version
    blockinfile:
          dest: "{{ item }}"
          block: |
               .libPaths(c("/opt/nfs01/r-libs/3.4.1", "~/R/library", .libPaths()))
               local({
               r <- getOption("repos")
               r["NRAN"] <- "http://rstudio.navigant.com/nran"
               options(repos = r)
               })
          backup: yes
    with_items: "{{ Rprofile_files.stdout_lines }}"
